Subject: Re: bug#35533: 26.2; Weird <i> and <I> keybindings in an (insert-table) environment.

From: Noam Postavsky <[email-masked]>
Date: Sat, 11 May 2019 11:02:11 -0400

severity 35533 minor
tags 35533 fixed
close 35533 27.1
quit

Mauro Aranda <[email-masked]> writes:

> I believe it's a bug.
> 'C-h v table-cell-map RET' shows at the end that the bindings are to
> 'j', 'm', 'I' and 'i', and not to their printed representations.

I think it's generally allowed to use the symbol instead of characters
(it's an XEmacs thing).  But some other code in table.el didn't account
for that (so in combination it's a bug).

> I attach a patch that adds a missing '?' to all those characters, in
> table-cell-bindings.

I adjusted the commit message a bit, and pushed to master.

40b3dcb7f7 2019-05-11T10:19:24-04:00 "Use characters, not symbols for table-cell-bindings"
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=40b3dcb7f7be92f0471e7a503ae8598c72100146